MuleApplicationEvent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.spring.events.MuleApplicationEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.events
Class MuleApplicationEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.mule.module.spring.events.MuleApplicationEvent

All Implemented Interfaces:
  Serializable

    public class MuleApplicationEvent

extends org.springframework.context.ApplicationEvent

`MuleApplicationEvent` is an Spring ApplicationEvent used to wrap a DefaultMuleEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MuleApplicationEvent(Object message, String endpoint)`

Method Summary
`org.springframework.context.ApplicationContext` | `getApplicationContext()`
`String` | `getEndpoint()`
`MuleEventContext` | `getMuleEventContext()`
`Map` | `getProperties()`
`Object` | `getProperty(Object key)`
`void` | `setProperty(Object key, Object value)`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MuleApplicationEvent

    public MuleApplicationEvent(Object message,
                                String endpoint)

Method Detail

### getMuleEventContext

    public MuleEventContext getMuleEventContext()

### getEndpoint

    public String getEndpoint()

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

### getProperties

    public Map getProperties()

### setProperty

    public void setProperty(Object key,
                            Object value)

### getProperty

    public Object getProperty(Object key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.